Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class NodeList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  groovy.util.NodeList

    public class NodeList
    extends ArrayList

A List implementation which is returned by queries on a Node which provides some XPath like helper methods for GPath.

Authors:
  James Strachan
  Paul King

Constructor Summary
`NodeList()`
`NodeList(Collection collection)`
`NodeList(int size)`

Method Summary
`NodeList` | `getAt(String name)` Provides lookup of elements by non-namespaced name.
`NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
`void` | `plus(Closure c)`
`Node` | `replaceNode(Closure c)`
`protected static void` | `setMetaClass(Class nodelistClass, MetaClass metaClass)`
`String` | `text()` Returns the text value of all of the elements in the collection.

Methods inherited from class ArrayList
add, add, get, clone, indexOf, clear, contains, isEmpty, lastIndexOf, size, subList, toArray, toArray, addAll, addAll, iterator, remove, remove, set, ensureCapacity, trimToSize, listIterator, listIterator, removeAll, retainAll, equals, hashCode, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractList
add, add, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, remove, set, listIterator, listIterator, toString, contains, isEmpty, size, toArray, toArray, addAll, remove, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size

Methods inherited from class AbstractCollection
add, toString, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### NodeList

    public NodeList()

### NodeList

    public NodeList(Collection collection)

### NodeList

    public NodeList(int size)

Method Detail

### getAt

    public NodeList getAt(String name)

  Provides lookup of elements by non-namespaced name.
  Parameters:
    `name` - the name or shortcut key for nodes of interest
  Returns:
    the nodes of interest which match name

### getAt

    public NodeList getAt(QName name)

  Provides lookup of elements by QName.
  Parameters:
    `name` - the name or shortcut key for nodes of interest
  Returns:
    the nodes of interest which match name

### plus

    public void plus(Closure c)

### replaceNode

    public Node replaceNode(Closure c)

### setMetaClass

    protected static void setMetaClass(Class nodelistClass, MetaClass metaClass)

### text

    public String text()

  Returns the text value of all of the elements in the collection.
  Returns:
    the text value of all the elements in the collection or null

Copyright © 2003-2010 The Codehaus. All rights reserved.